Some problems with setup development environment

classic Classic list List threaded Threaded
13 messages Options
Reply | Threaded
Open this post in threaded view
|

Some problems with setup development environment

Daniele Andreis
Hi,

I have re-installed eclipse and the jgrass development environment. I have set as target plarform udigSDK1.2 and then I have added the jgrass extras, but I have a problem with geotools, eclipse doesn't import any geoTools package. Have I to add geotools as external library?

tanks and regards
--
Daniele Andreis

_______________________________________________
JGrass-devel mailing list
[hidden email]
https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel
Reply | Threaded
Open this post in threaded view
|

Re: Some problems with setup development environment

Andrea Antonello
Hi Daniele,

> I have re-installed eclipse and the jgrass development environment. I have
> set as target plarform udigSDK1.2 and then I have added the jgrass extras,
> but I have a problem with geotools, eclipse doesn't import any geoTools
> package. Have I to add geotools as external library?

since you are using the sdk, the geotools libs should be there already.
In the sdk you should have a plugin called net.refractions.udig.libs
containing the inquiried jars.

Ciao
Andrea


>
> tanks and regards
> --
> Daniele Andreis
>
> _______________________________________________
> JGrass-devel mailing list
> [hidden email]
> https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel
>
>
_______________________________________________
JGrass-devel mailing list
[hidden email]
https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel
Reply | Threaded
Open this post in threaded view
|

Re: Some problems with setup development environment

Andrea Antonello
> The .jar file exist. Do you think that the problem is caused to a corrupted
> jai_imageIO or gdal installation?

What exactly is your problem?
Where do you don't see the geotools libs?
Common issues:
- missing plugins in the run configuration
- missing plugins in the target platform

were missing == not checked.

Andrea


>
> --
> Daniele Andreis
>
_______________________________________________
JGrass-devel mailing list
[hidden email]
https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel
Reply | Threaded
Open this post in threaded view
|

Re: Some problems with setup development environment

Daniele Andreis
There is a lot of problem in the MANIFEST.MF, and so there is a lot of plug ins that aren't loaded into the program, for example

Bundle 'net.refractions.udig.libs' cannot be resolved    MANIFEST.MF    eu.hydrologis.jgrass.beanshell/META-INF    line 14    Plug-in Problem
The udig sdk 1.2 and the jgrass extra are the same which I used a lot of time ago, and the program was running .



--
Daniele Andreis

_______________________________________________
JGrass-devel mailing list
[hidden email]
https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel
Reply | Threaded
Open this post in threaded view
|

Re: Some problems with setup development environment

Andrea Antonello
Hi Daniele,
please take care to include the list in the reply.

> I have download the udig-1.2-M1-sdk.zip so I haven't problem with geoTools,
> but now I have the same problem with org.eclipse.core.resources and a lot of
> swt plug-ins, and I have:
>
>> !ENTRY org.eclipse.osgi 2 0 2009-02-05 10:21:09.219
>> !MESSAGE One or more bundles are not resolved because the following root
>> constraints are not resolved:
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2009-02-05 10:21:09.234
>> !MESSAGE Bundle
>> reference:file:/home/Eclipsewsp/JGRASS/eu.hydrologis.jgrass.ui.console/ was
>> not resolved.
>> !SUBENTRY 2 eu.hydrologis.jgrass.ui.console 2 0 2009-02-05 10:21:09.234
>> !MESSAGE Missing required bundle org.eclipse.ui.console_0.0.0.
>> !SUBENTRY 2 eu.hydrologis.jgrass.ui.console 2 0 2009-02-05 10:21:09.234
>> !MESSAGE Missing required bundle org.eclipse.ui.editors_0.0.0.
>
> The problems in my workspace are in the Manifest file of JGrass plug-ins.
> Have you any suggestions? Otherwise I will try to re install eclipse and
> download the jgrass trunk. Can you give me the link with the exact
> jgrass-extra.zip so I'm sure to download the right one?

For the jgrass aligned with udig 1.2 I didn't create an extras
package, I think. You will have to search iin your eclipse
installation the proper extras packages as they were in the 1.1
version.
currently I am not using it, since I use eclipse itself as the target
platform and have the whole source of udig in my workspace.

Andrea



>
> thanks and regards
> --
> Daniele Andreis
>
_______________________________________________
JGrass-devel mailing list
[hidden email]
https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel
Reply | Threaded
Open this post in threaded view
|

Re: Some problems with setup development environment

Daniele Andreis
I have already included the extra 1.1. Do you suggest to download the udig from trunk to solve?

--
Daniele Andreis

_______________________________________________
JGrass-devel mailing list
[hidden email]
https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel
Reply | Threaded
Open this post in threaded view
|

Re: Some problems with setup development environment

Andrea Antonello
> I have already included the extra 1.1. Do you suggest to download the udig
> from trunk to solve?

That is the problem. The versions are not the right ones.
You have to look into the 1.1 extras and search for the same plugins
(major version tho) in your eclipse installation plugins (there you
find them for sure, since we use a javaeditor derivate for the
console).
Havin the 1.1 extras in your trunk platform for sure breakes everything.

Andrea

>
> --
> Daniele Andreis
>
_______________________________________________
JGrass-devel mailing list
[hidden email]
https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel
Reply | Threaded
Open this post in threaded view
|

Re: Some problems with setup development environment

Daniele Andreis
Hi,

I have solved a lot of problem with the eclipse plug-in but I haven't found:

- org.eclipse.osgi.nl1 (may be I can use org.eclipse.osgi)
- org.eclipse.swt.nebula.widgets.cdatetime

I have found some .nl1 in the udig extras (which is installed in the dropins folder) but not osgi.nl1.

tanks
--
Daniele Andreis

_______________________________________________
JGrass-devel mailing list
[hidden email]
https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel
Reply | Threaded
Open this post in threaded view
|

Re: Some problems with setup development environment

Andrea Antonello
Hi Daniele,

> I have solved a lot of problem with the eclipse plug-in but I haven't found:
>
> - org.eclipse.osgi.nl1 (may be I can use org.eclipse.osgi)

ok, I think you should be able to jump over this.

> - org.eclipse.swt.nebula.widgets.cdatetime

Which plugin has still a reference to this nebula plugin? This should
no longer be there. So you should be ok.

Andrea

>
> I have found some .nl1 in the udig extras (which is installed in the dropins
> folder) but not osgi.nl1.
>
> tanks
> --
> Daniele Andreis
>
_______________________________________________
JGrass-devel mailing list
[hidden email]
https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel
Reply | Threaded
Open this post in threaded view
|

Re: Some problems with setup development environment

Daniele Andreis
hi,

I have solved the problem with the plugins, so I haven't red icon in my workspace, but when i run the application I have this problem:

java.lang.IllegalStateException: Bundle "reference:file:/opt/ganymede/plugins/org.eclipse.equinox.common_3.4.0.v20080421-2006.jar" has been uninstalled

I have looking for in the ganymede folder if there is the plugin and there is. It is selected in the target platform and in the "run configuration".

tanks for your help



--
Daniele Andreis

_______________________________________________
JGrass-devel mailing list
[hidden email]
https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel
Reply | Threaded
Open this post in threaded view
|

Re: Some problems with setup development environment

Andrea Antonello
After a quick look through google, the only one having your same
problem solved it by installing eclipse in his home folder in order to
be sure to have the right permissions.

It is not easy for to understand what is going on there, so I would
suggest to reinstall once from scratch, since something seems to be
corrupted or misconfigured in your plugins.

Ciao
Andrea


On Thu, Feb 5, 2009 at 8:20 PM, Daniele Andreis
<[hidden email]> wrote:

> hi,
>
> I have solved the problem with the plugins, so I haven't red icon in my
> workspace, but when i run the application I have this problem:
>
>> java.lang.IllegalStateException: Bundle
>> "reference:file:/opt/ganymede/plugins/org.eclipse.equinox.common_3.4.0.v20080421-2006.jar"
>> has been uninstalled
>
> I have looking for in the ganymede folder if there is the plugin and there
> is. It is selected in the target platform and in the "run configuration".
>
> tanks for your help
>
>
>
> --
> Daniele Andreis
>
_______________________________________________
JGrass-devel mailing list
[hidden email]
https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel
Reply | Threaded
Open this post in threaded view
|

Re: Some problems with setup development environment

Daniele Andreis
In reply to this post by Daniele Andreis
Hi,

I have re-download and installed eclipse 3.4.1, the extra-3.4.1, and udig sdk 1.2. I have checkout jgrass but I have the same problem. I have tried to install everythings in the home folder but nothing has been changed.
I have installed eclipse 3.4.1 on windows and jgrass work well, so I have check the same plug-ins in Linux but it doesn't work.
--
Daniele Andreis

_______________________________________________
JGrass-devel mailing list
[hidden email]
https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel
Reply | Threaded
Open this post in threaded view
|

Re: Some problems with setup development environment

Daniele Andreis
Hi all,

I have found the problem, and it is in udig sdk, so I have posted in the udig_devel list  the  Some problems with udig-1.2-M2-SDK and linux thread.

ciao
--
Daniele Andreis

_______________________________________________
JGrass-devel mailing list
[hidden email]
https://dev.fsc.bz.it/cgi-bin/mailman/listinfo/jgrass-devel